org.bdgenomics.adam.sql

# NucleotideContigFragment

#### class NucleotideContigFragment extends Product

Linear Supertypes
Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NucleotideContigFragment
2. Product
3. Equals
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new NucleotideContigFragment(contigName: Option[String], contigLength: Option[Long], description: Option[String], sequence: Option[String], index: Option[Int], start: Option[Long], end: Option[Long], length: Option[Long], fragments: Option[Int])

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def canEqual(that: Any): Boolean

   Definition Classes
     NucleotideContigFragment → Equals

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val contigLength: Option[Long]

10. #### val contigName: Option[String]

11. #### val description: Option[String]

12. #### val end: Option[Long]

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### val fragments: Option[Int]

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### val index: Option[Int]

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### val length: Option[Long]

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### def productArity: Int

    Definition Classes
      NucleotideContigFragment → Product

26. #### def productElement(i: Int): Any

    Definition Classes
      NucleotideContigFragment → Product

27. #### def productIterator: Iterator[Any]

    Definition Classes
      Product

28. #### def productPrefix: String

    Definition Classes
      Product

29. #### val sequence: Option[String]

30. #### val start: Option[Long]

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toAvro: formats.avro.NucleotideContigFragment

33. #### def toString(): String

    Definition Classes
      AnyRef → Any

34. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped